EDIT - bug #6816

[Dataportal] Specimen table issues
07/17/2017 03:23 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.9

Severity: normal Found in Version:

Description

wir haben ja letzte Woche testweise ins Salvador Testportal ca. 20.000 Specimen importiert.

Z.B. hier:
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/507e13f3-5db7-45a6-a41e-07f0de20348a/specimens

Dabei zeigen sich noch einige Probleme im Portal:

1. Die Datumsanzeige funktioniert immer noch nicht, obwohl definitiv die allermeisten Specimen mit Datum versehen sind, ich
glaube dieses Thema hatten wir schon vor langerer Zeit.

2. Die Sammlungsanzeige finde ich suboptimal: Collection [id= 18, + code=EAP, name=] Ich weif3 nicht, wie hierzu die Diskussion
war. Ich glaube fur den Fall, dass kein Code existiert, wurde diskutiert, dass trotzdem etwas angezeigt wird. So finde ich das
aber ziemlich kryptisch und fir Normaluser unzugénglich. Es geht ja eigentlich nur darum, die Sammlung zu identifizieren. Dies
kann in aller Regel Gber den Sammlungscode und/oder den Namen gemacht. Man kénnte z.B. den Code anzeigen und wenn
vorhanden in Klammern den Namen. Wenn kein Code vorhanden nur den Namen. Die ID hat da m.E. nur etwas zu suchen,
wenn wirklich gar keine anderen Information vorhanden ist. Die Attributnamen wirde ich auch weglassen, genauso wie das
,Collection und das ,+“. Hinzunehmen wrde ich hingegen die Accessionsnummer (bzw. Barcode und/oder Catalognumber).
SchlieBlich wird hier auf ein Specimen verlinkt und nicht nur auf ein Sammlung. Das hat bei den Salvadordaten sogar noch
einen zusatzlichen Grund, namlich dass es hier wirklich Falle gibt, in denen flr die gleiche Fieldunit in der gleichen Sammlung
(B) >1 Specimen vorkommen kénnen, weil diese auf mehrere Sammlungsobjekte verteilt sind. Diese kdnnte man sonst nicht
unterscheiden.

3. Preferred stable URI: kann man da nicht den Text der URI vollstandig angeben? SchlieBlich ist es ja auch ein Identifier, nicht
nur ein Link. Im Moment sieht es so aus, als ob was vergessen wurde. Evil. kann man sich ja darauf einigen, dass ab einer
bestimmten lange der URI truncated wird, aber in der Regel sind diese stable URIs ja nicht so super lang. Vielleicht kdnnte man
das Ganze dann auch noch ein bisschen einrlicken, da es ja eine Information ist, die zu dem einzelnen Specimen gehort,
welches darliber genannt ist, und nicht eine parallele Information. Als letztes stéren da auch die groBen Abstande ein bisschen.

4. Associated with: Warum dass da steht, war mir nie so einleuchtend. In aller Regel ist es ja nur ein Taxon, mit dem das
Specimen associated ist und der Normaluser wird sich fragen, warum er, wenn er sowieso schon auf der Seite dieses Taxons
ist, nochmal dessen Namen angezeigt bekommit.

5. Diese Information wirde ich mir stattdessen auf den Specimenseiten (z.B.
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/specimen/26a1dbb9-5ef8-4caf-b020-7e4b81b66359 )
wiinschen. Dort fehlt sie und ist nicht redundant. Sowieso sollten diese Specimenseiten m.E. so ausgebaut werden, dass dort
mehr oder weniger alle Specimen Informationen angezeigt werden, die irgendwie mit diesem Specimen in Verbindung stehen.
Vielleicht ahnlich wie derzeit bei der nicht tabellarischen Anzeige der Specimen auf den Taxonseiten (also die, die AK mal auf
die Schnelle implementiert hatte)

Related issues:

Related to EDIT - feature request #6870: Further specimen table issues New

Related to EDIT - task #7561: OccurrencePortalController and FieldUnitDTO sho... Closed
Copied to EDIT - feature request #6866: Improve specimen page Closed
Copied to EDIT - task #7562: Specimen table "Associated with" taxon is irrita... Closed

Associated revisions

Revision 48b1eaa7 - 07/17/2017 03:59 PM - Patrick Plitzner
ref #6816 Show URL of stable identifier

Revision fa09fe7d - 07/17/2017 04:27 PM - Patrick Plitzner

ref #6816 add line break before type information
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/507e13f3-5db7-45a6-a41e-07f0de20348a/specimens
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/specimen/26a1dbb9-5ef8-4caf-b020-7e4b81b66359

Revision 6557bce4 - 07/17/2017 04:28 PM - Patrick Plitzner

ref #6816 Fix date and collection string

Revision 907cc9b4 - 07/17/2017 06:14 PM - Patrick Plitzner

ref #6816 Enhance layout and specimen title

History

#1 - 07/17/2017 06:21 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 4.9

Patrick Plitzner wrote:
wir haben ja letzte Woche testweise ins Salvador Testportal ca. 20.000 Specimen importiert.

Z.B. hier: http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/507e13f3-5db7-45a6-a41e-07f0de20348a/specimens

Dabei zeigen sich noch einige Probleme im Portal:

1) Die Datumsanzeige funktioniert immer noch nicht, obwohl definitiv die allermeisten Specimen mit Datum versehen sind, ich glaube dieses
Thema hatten wir schon vor langerer Zeit.

Ist gefixt.

2)  Die Sammlungsanzeige finde ich suboptimal: Collection [id= 18, + code=EAP, name=] Ich weif3 nicht, wie hierzu die Diskussion war. Ich
glaube fir den Fall, dass kein Code existiert, wurde diskutiert, dass trotzdem etwas angezeigt wird. So finde ich das aber ziemlich kryptisch und
far Normaluser unzugénglich. Es geht ja eigentlich nur darum, die Sammlung zu identifizieren. Dies kann in aller Regel tber den
Sammlungscode und/oder den Namen gemacht. Man kénnte z.B. den Code anzeigen und wenn vorhanden in Klammern den Namen. Wenn
kein Code vorhanden nur den Namen. Die ID hat da m.E. nur etwas zu suchen, wenn wirklich gar keine anderen Information vorhanden ist.
Die Attributnamen wiirde ich auch weglassen, genauso wie das ,Collection und das ,+".

Hinzunehmen wirde ich hingegen die Accessionsnummer (bzw. Barcode und/oder Catalognumber). SchlieBlich wird hier auf ein Specimen
verlinkt und nicht nur auf ein Sammlung.

Das hat bei den Salvadordaten sogar noch einen zusétzlichen Grund, ndmlich dass es hier wirklich Félle gibt, in denen fur die gleiche Fieldunit
in der gleichen Sammlung (B) >1 Specimen vorkommen kdnnen, weil diese auf mehrere Sammlungsobjekte verteilt sind. Diese kénnte man
sonst nicht unterscheiden.

Ist gefixt.

3) Preferred stable URI: kann man da nicht den Text der URI vollsténdig angeben? SchlieBlich ist es ja auch ein Identifier, nicht nur ein Link.
Im Moment sieht es so aus, als ob was vergessen wurde. Evil. kann man sich ja darauf einigen, dass ab einer bestimmten lange der URI
truncated wird, aber in der Regel sind diese stable URlIs ja nicht so super lang.

Vielleicht kdnnte man das Ganze dann auch noch ein bisschen einrlicken, da es ja eine Information ist, die zu dem einzelnen Specimen gehort,
welches darlber genannt ist, und nicht eine parallele Information.

Als letztes stéren da auch die groBen Abstande ein bisschen.

Ist gefixt

4) Associated with: Warum dass da steht, war mir nie so einleuchtend. In aller Regel ist es ja nur ein Taxon, mit dem das Specimen
associated ist und der Normaluser wird sich fragen, warum er, wenn er sowieso schon auf der Seite dieses Taxons ist, nochmal dessen Namen
angezeigt bekommt.

5) Diese Information wiirde ich mir stattdessen auf den Specimenseiten (z.B.
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/specimen/26a1dbb9-5ef8-4caf-b020-7e4b81b66359 ) wiinschen. Dort fehit
sie und ist nicht redundant.

Sowieso sollten diese Specimenseiten m.E. so ausgebaut werden, dass dort mehr oder weniger alle Specimen Informationen angezeigt werden,
die irgendwie mit diesem Specimen in Verbindung stehen. Vielleicht &hnlich wie derzeit bei der nicht tabellarischen Anzeige der Specimen auf
den Taxonseiten (also die, die AK mal auf die Schnelle implementiert hatte)

Hier ist der Algorithmus:

¢ Uber IndividualsAssociation verkniipfte Taxa tauchen unter "Associated with" auf.

¢ Typ-Taxa nach den Typbezeichnungen.

¢ In der Specimen-Tabelle ist das "Associated with" einfach eine redundante Information aus dem ausgewahlten Taxon. Ich habe vergessen,
warum, aber das sollte damals so sein. Es gibt allerdings eine Dataportal-Preference dafir.

#2 - 07/21/2017 10:24 AM - Andreas Miiller
- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/specimen/26a1dbb9-5ef8-4caf-b020-7e4b81b66359

#3 - 07/31/2017 08:18 PM - Andreas Miiller

- Tags changed from campanula, dataportal to campanula, salvador

#4 - 07/31/2017 08:46 PM - Andreas Miiller
- % Done changed from 0 to 50

#5 - 08/01/2017 01:22 PM - Andreas Miiller

Sowieso sollten diese Specimenseiten m.E. so ausgebaut werden, dass dort mehr oder weniger alle Specimen Informationen angezeigt werden,
die irgendwie mit diesem Specimen in Verbindung stehen. Vielleicht &hnlich wie derzeit bei der nicht tabellarischen Anzeige der Specimen auf
den Taxonseiten (also die, die AK mal auf die Schnelle implementiert hatte)

moved to new ticket #6866

#6 - 08/01/2017 01:30 PM - Andreas Miuller

- Copied to feature request #6866: Improve specimen page added

#7 - 08/01/2017 01:32 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 70

Vielleicht kobnnte man das Ganze dann auch noch ein bisschen einrlicken, da es ja eine Information ist, die zu dem einzelnen Specimen gehort,
welches dartiber genannt ist, und nicht eine parallele Information.
Als letztes stéren da auch die groBen Abstande ein bisschen.

These 2 issues are still open

#8 - 08/01/2017 02:19 PM - Andreas Miiller

All the rest works as expected.

#9 - 08/01/2017 02:35 PM - Andreas Miiller

- Related to feature request #6870: Further specimen table issues added

#10 - 07/18/2018 04:39 PM - Andreas Kohlbecker

- Private changed from Yes to No

#11 - 07/18/2018 04:50 PM - Andreas Kohlbecker

- Related to task #7561: OccurrencePortalController and FieldUnitDTO should not allow passing the determintation, associated name as argument
added

#12 - 07/18/2018 05:13 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 70 to 100

For me the issue raised in point 4) is not solved or answered satisfyingly. | stumbled over this in the attempt to use the specimen table for the
registration page. See #7561 for further issues with the "Associated with" taxa, &h names.

The "Associated with" only repeats the taxon for which the taxon page is displayed. Even if this has been originally requested in the campanula
project it makes no sense in general. Without further details on this requirement is suspect that it was not elaborated and that this idea needs to be
improved. In the dataportal setting it is labeled as "Show 'Associated with' in specimen table.", the settings variable however refers to it as
determination - confusing. Further taxa which are associated to this specimen are not shown - information incomplete. The way it is currently
implemented prevents from using the specimen table for other purposes.

| strongly vote for removing this "Associated with" and to replace it by something more generic.

| will open a new ticket for taking action on this topic ... #7562
| will futhermore close this issue since the last two open issues mentioned in #6816#note-7 are of lower priority. Andreas Milller, please open a new
issue if you consider these layout improvements worth the effort.

#13 - 07/18/2018 05:13 PM - Andreas Kohlbecker

- Copied to task #7562: Specimen table "Associated with" taxon is irritating and needs to be removed, replaced added
